# rollbar_deployment – Notify Rollbar about app deployments

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Notify Rollbar about app deployments (see https://rollbar.com/docs/deploys_other/)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
comment - |  | Deploy comment (e.g. what is being deployed).
environment - / required |  | Name of the environment being deployed, e.g. 'production'.
revision - / required |  | Revision number/sha being deployed.
rollbar_user - |  | Rollbar username of the user who deployed.
token - / required |  | Your project access token.
url - | Default: "https://api.rollbar.com/api/1/deploy/" | Optional URL to submit the notification to.
user - |  | User who deployed.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates for the target url will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    - name: Rollbar deployment notification
      rollbar_deployment:
      token: AAAAAA
      environment: staging
      user: ansible
      revision: '4.2'
      rollbar_user: admin
      comment: Test Deploy

    - name: Notify rollbar about current git revision deployment by current user
      rollbar_deployment:
      token: "{{ rollbar_access_token }}"
      environment: production
      revision: "{{ lookup('pipe', 'git rev-parse HEAD') }}"
      user: "{{ lookup('env', 'USER') }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Max Riveiro (@kavu)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.